Skip to main content
`Ctrl`+`K`

# numpy.ma.masked_array.reshape

method

ma.masked_array.reshape(*s, **kwargs)

  Give a new shape to the array without changing its data.

  Returns a masked array containing the same data, but with a new shape. The result is a view on the original array; if this is not possible, a ValueError is raised.

  Parameters:
    shape int or tuple of ints

      The new shape should be compatible with the original shape. If an integer is supplied, then the result will be a 1-D array of that length.

    order{‘C’, ‘F’}, optional

      Determines whether the array data should be viewed as in C (row-major) or FORTRAN (column-major) order.

  Returns:
    reshaped_array array

      A new view on the array.

  See also

  `reshape`

    Equivalent function in the masked array module.

  `numpy.ndarray.reshape`

    Equivalent method on ndarray object.

  `numpy.reshape`

    Equivalent function in the NumPy module.

  Notes

  The reshaping operation cannot guarantee that a copy will not be made, to modify the shape in place, use `a.shape = s`

  Examples

      >>> import numpy as np
      >>> x = np.ma.array([[1,2],[3,4]], mask=[1,0,0,1])
      >>> x
      masked_array(
        data=[[--, 2],
              [3, --]],
        mask=[[ True, False],
              [False,  True]],
        fill_value=999999)
      >>> x = x.reshape((4,1))
      >>> x
      masked_array(
        data=[[--],
              [2],
              [3],
              [--]],
        mask=[[ True],
              [False],
              [False],
              [ True]],
        fill_value=999999)